package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Btt extends AbstractCommonVo {

    //INR of BE Contract
    private String inr = NULLSTR;

    //Discrepancies
    private String docdis = NULLSTR;

    //Reasons for Rejection
    private String docins = NULLSTR;

    //Documents Presented 1st Beneficiary
    private String prsdocbe1 = NULLSTR;

    //Documents Presented 2nd Beneficiary
    private String prsdocbe2 = NULLSTR;

    //Disposal of Documents
    private String disdoc = NULLSTR;

    //Instructions 1st Beneficiary
    private String be1ins = NULLSTR;

    //Instructions 2nd Beneficiary
    private String be2ins = NULLSTR;

    //Maturity Period
    private String matper = NULLSTR;

    //Internal Discrepancies
    private String intdis = NULLSTR;

    //Comments and Conclusions
    private String comcon = NULLSTR;

    //List of Modified Fields in BTDGRP
    private String fldmodblk = NULLSTR;

    //Charges Added
    private String chaadd = NULLSTR;

    //Charges Deducted
    private String chaded = NULLSTR;

    //Narrative Tag77A of MT754
    private String nartxt77a = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Discrepancies First Beneficiary
    private String docdisbe1 = NULLSTR;

    //Disposal of Documents BE1
    private String disdocbe1 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Settlement Instructions transaction field
    private String setinsbt = NULLSTR;

    //Defaulted content of Discrepancies
    private String docdisdef = NULLSTR;

    //discrepancies modified
    private String docdisflg = NULLSTR;

    //DiscrepanciesAmendment History
    private String docdisame = NULLSTR;

    //New Benificiary Ref.
    private String benref = NULLSTR;
}
