package com.brilliance.isc.bo;


import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:Setsta
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Setsta {

    //Internal Unique ID of Application Transaction
    private String inr = NULLSTR;

    //Object Type
    private String objtyp = NULLSTR;

    //Object INR
    private String objinr = NULLSTR;

    //Amount
    private BigDecimal amt = Decimals.ZERO_SCALE2;

    //Currency
    private String cur = NULLSTR;

    //Last Amount
    private BigDecimal lstamt = Decimals.ZERO_SCALE2;

    //Object Reference
    private String objref = NULLSTR;

    //Party INR
    private String ptyinr = NULLSTR;

    //Release Date
    private Date reldat = NULLDATE;
}