package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class Shadow {
    // 唯一ID，主键
    private String inr;
    // 业务参考号
    private String ownref;
    // 批次号
    private String lotnum;
    // 绑定状态,Y-是，N-否
    private String bndsta;
    // 柜员号
    private String extkey;
    // 创建时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date cretim;
    // 更新时间
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date updtim;
}
