package com.brilliance.isc.bo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 任务池配置表
 * @TableName tskpol
 */
@TableName(value ="tskpol")
@Data
public class TaskPoolConfig {
    /**
     * 主键ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 单证中心ID
     */
    private String branchinr;

    /**
     * 任务池编号
     */
    private String poolNumber;

    /**
     * 任务池名称
     */
    private String poolName;

    /**
     * 业务组
     */
    private String bizGroup;

    /**
     * 支持的交易代码
     */
    private String trades;

    /**
     * 自动分配开关
     */
    private String autoSwitch;

    /**
     * 待经办分配模式
     */
    private String handleDistMode;

    /**
     * 待复核分配模式
     */
    private String reviewDistMode;

    /**
     * 备注
     */
    private String remark;

    /**
     * 指定复核人员
     */
    private String designatedReviewer;

    /**
     * 溢出阀值
     */
    private Integer overflowLimit;

    /**
     * 溢出时间
     */

    private String overflowTime;

}