package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:Usrntf:Usrntf
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Usrntf {

    //Internal Unique ID
    private String inr = NULLSTR;

    //Send User
    private String sndusr = NULLSTR;

    //Send Date
    private String sndtim = NULLSTR;

    //Receive User
    private String rcvusr = NULLSTR;

    //Receive time
    private String rcvtim = NULLSTR;

    //Reading time
    private String readtim = NULLSTR;

    //ntf status (新建通知-1; 收到通知-2; 通知已读-3)
    private String ntfsta = NULLSTR;

    //ntf info message
    private String ntftxt = NULLSTR;

    // 通知群发状态 'A'-All User;'O'-Online User;'S'-Single User
    private String qfsta;

    // 发送通知的散列值
    private String mac;
}
