package com.brilliance.isc.bo.bop.bopmdf;


import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;

@JsonInclude(JsonInclude.Include.NON_NULL)
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BopmdfReq {

    //查询条件
    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;

    /**
     * 申报号码
     */
    private String rptno;

}
