package com.brilliance.isc.bo.bop.jsh;

import java.math.BigDecimal;


import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.*;
import lombok.Getter;
import lombok.Setter;


/**
 
 * @description dbj:结汇申请书-基础信息Vo
 * @create 20240322
 */
@JsonIgnoreProperties(ignoreUnknown = true)
@Getter
@Setter
public class Dbj extends AbstractCommonVo implements IJshBasData{

        //Internal Unique ID
        private String inr = NULLSTR;

        //�'时申报流�'号
        private String tmpref = NULLSTR;

        //Initial Entity Code
        private String ownextkey = NULLSTR;

        //Version
        private String ver = NULLSTR;

        //操作类型
        private String actiontype = NULLSTR;

        //删除原因
        private String actiondesc = NULLSTR;

        //申报号码
        private String rptno = NULLSTR;

        //银行业务编号
        private String buscode = NULLSTR;

        //结汇申请人主体类型
        private String custype = NULLSTR;

        //结汇申请人主体标识码
        private String custcod = NULLSTR;

        //结汇申请人个人身份证件号码
        private String idcode = NULLSTR;

        //结汇申请人名称
        private String custnm = NULLSTR;

        //外汇帐户帐号
        private String fcyacc = NULLSTR;

        //人民币帐户帐号
        private String lcyacc = NULLSTR;

        //人民币收款人名称
        private String oppuser = NULLSTR;

        //人民币帐户开户行
        private String oppbank = NULLSTR;

        //结汇金额
        private  BigDecimal fcyamt  = Decimals.ZERO_SCALE0;

        //币别
        private String fcyccy = NULLSTR;

        //汇率
        private  BigDecimal exrate  = Decimals.ZERO_SCALE8;

}