package com.brilliance.isc.common.liaallr.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class LiaallrVo extends AbstractCommonVo implements Serializable {

    //Currency
    private  String cur = NULLSTR;

    @ApiModelProperty(value = "", name = "amt", required = true)
    private BigDecimal amt = Decimals.ZERO_SCALE2;

    //Maturity date
    private Date matdat;

    //nitplb相关新增字段
    @ApiModelProperty(value = "", name = "oldamt", required = true)
    private BigDecimal oldamt = Decimals.ZERO_SCALE2;
    @ApiModelProperty(value = "", name = "newamt", required = true)
    private BigDecimal newamt = Decimals.ZERO_SCALE2;


}
