package com.brilliance.isc.common.limmod.vo;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class LimQueryVo {
    public String type;
    /**
     * 客户类型
     */
    public String khtyp;
    /**
     * 客户ECIF号
     */
    public String extkey;
    /**
     * 同业SWIFT号
     */
    public String swiftno;
    /**
     * 组织机构代码
     */
    public String juscod;
    /**
     * 额度编号
     */
    public String limnum;
    /**
     * 额度品种
     */
    public String limvar;
    /**
     * 是否查询可串用额度
     */
    public String sfcxlm;
    /**
     * 额度状态
     */
    public String limsta;
    /**
     * 额度类型
     */
    public String limtyp;
    /**
     * 入账机构
     */
    public String rzbch;
    /**
     * 交易柜员
     */
    public String bchusr;
    /**
     * 机构代码
     */
    public String accbch;

    /**
     * 对公额度明细信息
     */
    private List<LimgrdVo> limgrdVoList;

    /**
     * 同业额度明细信息
     */
    private List<LmegrdVo> lmegrdVos;

    public void reset() {
        if (limgrdVoList == null) {
            limgrdVoList = new ArrayList<LimgrdVo>();
        }
        if (lmegrdVos == null) {
            lmegrdVos = new ArrayList<LmegrdVo>();
        }
    }

}
