package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 *
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class CrtpVo extends AbstractCommonVo {
    private static Logger log = LoggerFactory.getLogger(CrtpVo.class);

    //Value Date
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date valdat;


    //USE FOR ARE AMTOUNT (max=1)
    private String forare = NULLSTR;


    @Override
    public void reset() {
        super.reset();
    }
}