package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.mda.runtime.mda.util.Dates;
import com.brilliance.mda.runtime.mda.util.Decimals;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class FtdBizInfoVo extends BizInfoVo{

    private String fttyp = NULLSTR;

    private String tronref = NULLSTR;

    private BigDecimal rat = Decimals.ZERO_SCALE6;

    private BigDecimal amt = Decimals.ZERO_SCALE0;

    private String bnktyp = NULLSTR;

    private String etyextkey = NULLSTR;

    private String msgtyp = NULLSTR;

    private  BigDecimal canamt = BigDecimal.ZERO;



    private Date valdat =null;
}
