package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class GidCcvOpnamtVo {
    /**
     * 主键
     */
    private String inr;

    /**
     * 业务编号
     */
    private String ownref;
    /**
     * 到期日
     */

    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;
    /**
     * 客户号
     */
    private String extkey;
    /**
     * 客户名称
     */
    private String ptyname;
    /**
     * 查询币种
     */
    private String cbecur;

    /**
     * 查询金额
     */
    private BigDecimal cbeamt;
    /**
     * 保证金账号
     */

    private String acc;
    /**
     * 币种
     */
    private String cur;
    /**
     * 开立金额
     */
    private BigDecimal  maxamt;
    /**
     * 开立金额
     */
    private BigDecimal  nomamt;
    /**
     * 业务类型
     */
    private String objtyp;
    /**
     * 余额币种
     */
    private String ccvcur;

    /**
     * 保证金余额
     */
    private BigDecimal ccvamt;
}
