package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class SwfsehVo extends BaseTransactionVo {
    //Selection Reference
    private String selobjnam;
    //Message Type Optional
    private  String msgtyp;
    //Currency
    private  String seacur;
    // 开始时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date datfro;
    //结束时间
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date dattil;
    //Amount from
    private BigDecimal seaamtfr;
    //Amount to
    private BigDecimal seaamtto;
    //每页大小
    private Integer pageSize;
    //当前页数
    private Integer pageNum;
    //总条数
    private Integer total;

    private List<String> branchList;
}