package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class UdpOpnamtReportVo {
    private String pteinr;//pteinr
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;//开证日期
    private String ownref;//信用证编号
    private String aplnam;//开证申请人
    private String bennam;//开证受益人
    private String cur;//币种
    private BigDecimal amt;//信用证金额
    private BigDecimal lb1xrfamt;//信用证金额折美元
    private String nomtop;//溢短装
    private String nomton;//溢短装
    private String allnom;//溢短装
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;//效期
    private String expplc;//效地
    private String rptref;//合同号
    private String tenmaxday;//付款期限
    private String sumxrfamt;//保证金当前余额
    private String nompct;//保证金实收比例
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cpldattim;//承兑日期
    private BigDecimal  bbamt;//承兑金额
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date matdat;//承兑到期日
    private BigDecimal bbopnamt;//承兑余额
    private BigDecimal payamt;//付款金额
    private String paydat;//付款日期
    private String avbby;//付款方式
    private String remark;//备注

}
