package com.brilliance.isc.esb.model.bd;

/**
 * BDTK 光大接入北京电力保函业务请求模型
 */
public class ReqBDBH {
    public ReqBDBH() {
    }

    public ReqBDBH(String filename, String url) {
        this.filename = filename;
        this.url = url;
    }

    /**
     * 接口平台接收的文件路径
     */
    public String filepath = "/download/373/comm/down/";
    /**
     * 请求api
     */
    public String url;
    /**
     * 报文文件名
     */
    public String filename;
    /**
     * 时间戳(请求头属性)
     */
    public String timestamp;
    /**
     * 认证信息(请求头属性)
     */
    public String Authorization;
    /**
     * 摘要(请求头属性)
     */
    public String signature;
}
