package com.brilliance.isc.esb.model.ebmp;

/**
 * GF03 F系统往报请求对象
 */
public class ReqGF03 {

    /**
     * 后台系统处理流水号 [0,20]
     */
    public String MtRef;

    /**
     * MT报文类型 [0,20]
     */
    public String EnvMsgTp;

    /**
     * 报文分类 [0,1]
     */
    public String BAOWFL;

    /**
     * 报文种类 [0,1]
     */
    public String systype;
    /**
     * 报文接收机构 [0,35]
     */
    public String InstdPty;

    /**
     * 报文传输方式 [0,1]
     */
    public String DataMode;

    /**
     * 信息内容 [0,61440]
     */
    public String MsgCntt;


    /**
     * 文件名称 [0,64] 报文交互方式为1时必输
     */
    public String Filename;

    /**
     * 备用字段1 [0,8]
     */
    public String Remark1;

    /**
     * 备用字段2 [0,16]
     */
    public String Remark2;

    /**
     * 备用字段3 [0,32]
     */
    public String Remark3;

    /**
     * 备用字段4 [0,64]
     */
    public String Remark4;

    /**
     * 备用字段5 [0,128]
     */
    public String Remark5;

    public ReqGF03() {
    }

    public ReqGF03(String mtRef, String envMsgTp, String BAOWFL, String systype, String instdPty, String dataMode, String msgCntt, String filename, String remark1, String remark2, String remark3, String remark4, String remark5) {
        MtRef = mtRef;
        EnvMsgTp = envMsgTp;
        this.BAOWFL = BAOWFL;
        this.systype = systype;
        InstdPty = instdPty;
        DataMode = dataMode;
        MsgCntt = msgCntt;
        Filename = filename;
        Remark1 = remark1;
        Remark2 = remark2;
        Remark3 = remark3;
        Remark4 = remark4;
        Remark5 = remark5;
    }
}
