package com.brilliance.isc.esb.model.ecif;

import java.util.ArrayList;
import java.util.List;

public class ResO09042 {

    public ResO09042() {
    }

    public ResO09042(String RESP01, String RESP02, String RESP03, List<ItemF09042> f09042) {
        this.Beg_Rec_No = RESP01;
        this.Rec_Size = RESP02;
        this.Ttl_Rec_Size = RESP03;
        F09042 = f09042;
    }

    /**
     * 起始笔数[0,200]
     */
    public String Beg_Rec_No;
    /**
     * 返回查询笔数码[0,200]
     */
    public String Rec_Size;
    /**
     * 总笔数[0,200]
     */
    public String Ttl_Rec_Size;

    public List<ItemF09042> F09042 = new ArrayList<>();

    public static class ItemF09042 {
        /**
         * 客户号[0,200]
         */
        public String Org_No;
        /**
         * 客户类别[0,200]
         */
        public String Org_Class_Cd;
        /**
         * 客户名称[0,200]
         */
        public String Org_Legal_Name;
        /**
         * 客户简称[0,200]
         */
        public String Org_Short_Name;
        /**
         * 英文名称[0,200]
         */
        public String Org_En_Name;
        /**
         * 金融机构类型[0,200]
         */
        public String Fin_Org_Type;
        /**
         * 组织机构类型[0,200]
         */
        public String Org_Nature_Type;
        /**
         * 所属国家地区代码[0,200]
         */
        public String Reg_Country;
        /**
         * 国籍全称[0,200]
         */
        public String full_Country_name;
        /**
         * 大洲代码[0,200]
         */
        public String continent_code;
        /**
         * 大洲[0,200]
         */
        public String continent;
        /**
         * 组织机构代码[0,200]
         */
        public String National_Org_Code;
        /**
         * 组织机构代码有效日期[0,200]
         */
        public String National_Org_Effect_Dt;
        /**
         * 营业执照号[0,200]
         */
        public String Bus_License_No;
        /**
         * 营业执照批准机构[0,200]
         */
        public String Bus_License_App_Org;
        /**
         * 营业执照有效日期[0,200]
         */
        public String Bus_License_Effect_Dt;
        /**
         * 贷款卡号[0,200]
         */
        public String Loan_Card_No;
        /**
         * 国税税务登记证号[0,200]
         */
        public String Tax_Certificate_No;
        /**
         * 国税税务登记证有效日期[0,200]
         */
        public String Tax_Certificate_Effect_Dt;
        /**
         * 地税税务登记证号[0,200]
         */
        public String Local_Tax_No;
        /**
         * 地税税务登记证有效日期[0,200]
         */
        public String Local_Certificate_Effect_Dt;
        /**
         * 机构信用代码证[0,200]
         */
        public String Credit_Code_No;
        /**
         * 机构信用代码证有效日期[0,200]
         */
        public String Credit_Code_Effect_Dt;
        /**
         * 审批文号[0,200]
         */
        public String Document_Num;
        /**
         * 开户许可证号[0,200]
         */
        public String Open_License_No;
        /**
         * 金融许可证号[0,200]
         */
        public String Fin_License_No;
        /**
         * 证监会代码证号/经营保险业务许可证号[0,200]
         */
        public String Secur_License_No;
        /**
         * 外汇许可证号[0,200]
         */
        public String Foreign_License_No;
        /**
         * 企业外管代码[0,200]
         */
        public String Enter_External_No;
        /**
         * 事业法人证书号码[0,200]
         */
        public String Enter_Certificate_Num;
        /**
         * 收费许可证号码[0,200]
         */
        public String Fee_License_No;
        /**
         * 外商企业投资登记证书[0,200]
         */
        public String Invest_Regcode;
        /**
         * 进出口经营权许可证书[0,200]
         */
        public String Foreign_Tradelicence;
        /**
         * Swift编号[0,200]
         */
        public String Swift_No;
        /**
         * FCI编号[0,200]
         */
        public String FCI_No;
        /**
         * 国标行业类型[0,200]
         */
        public String Industry_type;
        /**
         * 我行行业大类[0,200]
         */
        public String Our_Industry_type;
        /**
         * 企业经济成分[0,200]
         */
        public String Economic_Type;
        /**
         * 经济类型(国标)[0,200]
         */
        public String Bus_Org_Form;
        /**
         * 经济类型《行标)[0,200]
         */
        public String Economic_Class;
        /**
         * 企业出资人经济成分[0,200]
         */
        public String Org_Holding_Type;
        /**
         * 企业规模[0,200]
         */
        public String Entp_Sz_Cd;
        /**
         * 是否自贸区客户[0,200]
         */
        public String Freetrade_Cust_Flag;
        /**
         * 是否我行基本户客户[0,200]
         */
        public String Base_Account_Flag;
        /**
         * 基本账户开户行[0,200]
         */
        public String Base_Account_Bank;
        /**
         * 基本户账号[0,200]
         */
        public String Base_Account_No;
        /**
         * 是否正式客户[0,200]
         */
        public String Org_Lifecycle_Cd;
        /**
         * 所属地区代码[0,200]
         */
        public String Reg_Area_Code;
        /**
         * 营业执照注册地址[0,200]
         */
        public String Reg_Address;
        /**
         * 营业执照注册地址邮编[0,200]
         */
        public String Reg_Zip;
        /**
         * 营业执照注册地址地区代码[0,200]
         */
        public String Reg_Code;
        /**
         * 企业注册地址[0,200]
         */
        public String REGISTER_Address;
        /**
         * 企业注册地址地区代码[0,200]
         */
        public String REGION_Code;
        /**
         * 企业注册地址邮编[0,200]
         */
        public String REGISTER_Zip;
        /**
         * 成立日期[0,200]
         */
        public String Reg_Start_Date;
        /**
         * 注册资本币种[0,200]
         */
        public String Reg_Capital_Curr;
        /**
         * 注册资本[0,200]
         */
        public String Reg_Capital;
        /**
         * 同业机构法人[0,200]
         */
        public String Fin_Org_No;
        /**
         * 同业机构层级[0,200]
         */
        public String Fin_Org_level;
        /**
         * 备注信息[0,200]
         */
        public String Note_Info;
        /**
         * 上级机构名称[0,200]
         */
        public String Higher_Dep_Name;
        /**
         * 上级机构组织机构代码证[0,200]
         */
        public String Higher_Dep_National_No;
        /**
         * 上级机构基本存款账户开户许可证[0,200]
         */
        public String Higher_Dep_Base_OpenAcct_No;
        /**
         * 上级机构法定代表人证件类型[0,200]
         */
        public String Higher_Dep_Leg_Type;
        /**
         * 上级机构法定代表人证件号码[0,200]
         */
        public String Higher_Dep_Leg_No;
        /**
         * 上级机构法定代表人证件有效日期[0,200]
         */
        public String Higher_Dep_Leg_Effedt;
        /**
         * 法定代表人名称[0,200]
         */
        public String Name;
        /**
         * 法定代表人证件类型[0,200]
         */
        public String Reg_Type;
        /**
         * 法定代表人证件号码[0,200]
         */
        public String Reg_No;
        /**
         * 法定代表人证件有效日期[0,200]
         */
        public String Id_Expirydate;
        /**
         * 法定代表人电话[0,200]
         */
        public String Mobile;
        /**
         * 法定代表人国籍[0,200]
         */
        public String Nationality;
        /**
         * 角色的ECIF客户号[0,200]
         */
        public String Ecif_No;
        /**
         * 办公地址邮编[0,200]
         */
        public String Post_Code;
        /**
         * 办公地址[0,200]
         */
        public String Address;
        /**
         * 批准成立机构[0,200]
         */
        public String App_Estab_Org;
        /**
         * 是否为光大集团股东客户[0,200]
         */
        public String is_stockholder;
        /**
         * 是否为光大集团关联单位[0,200]
         */
        public String is_related;
        /**
         * 客户状态[0,200]
         */
        public String Org_State;
        /**
         * 主办客户经理[0,200]
         */
        public String Cust_Manager;
        /**
         * 主办机构代码[0,200]
         */
        public String Org_Id;
        /**
         * 集团客户标志[0,200]
         */
        public String Partground_Flag;
        /**
         * 所属集团客户编号[0,200]
         */
        public String Partground_No;
        /**
         * 所属集团客户名称[0,200]
         */
        public String Partground_Name;
        /**
         * 实际控制人[0,200]
         */
        public String Controller_No;
        /**
         * 开户证明材料种类[0,200]
         */
        public String Open_Certificate_Type;
        /**
         * 开户证明文件编号[0,200]
         */
        public String Open_Certificate_No;
        /**
         * 开户证明材料有效日期[0,200]
         */
        public String Open_Certificate_Effect_Dt;
        /**
         * 开户证明材料批准机关[0,200]
         */
        public String Open_Certificate_App_Org;
        /**
         * 开户机构号[0,200]
         */
        public String Reg_Brno;
        /**
         * 经营范围[0,200]
         */
        public String BUSINESS_SCOPE;
        /**
         * 是否个贷存量客户[0,200]
         */
        public String In_CMS_Flag;
        /**
         * 重点客户级别[0,200]
         */
        public String Cust_Level;
        /**
         * 组织机构类型(补充)[0,200]
         */
        public String Ourorg_Nature_Type;
        /**
         * 是否保理客户杯志[0,200]
         */
        public String In_Cfact_Flag;
        /**
         * 是否票据系统客户标志[0,200]
         */
        public String In_Bems_Flag;
        /**
         * 是否NRA账户[0,200]
         */
        public String Is_NRA;
        /**
         * 是否上市公司[0,200]
         */
        public String Listing_Corp_Flag;
        /**
         * 记录创建时间[0,200]
         */
        public String Created_Time;
        /**
         * 记录修改时间[0,200]
         */
        public String Updated_Time;
        /**
         * 记录失效时间[0,200]
         */
        public String End_Time;
        /**
         * 记录进入ECIF时间[0,200]
         */
        public String Ecif_Created_Time;
        /**
         * 记录在ECIF修改时间[0,200]
         */
        public String Ecif_Updated_Time;
        /**
         * 创建机构号[0,200]
         */
        public String Created_Brno;
        /**
         * 修改机构号[0,200]
         */
        public String Updated_Brno;
        /**
         * 创建员工号[0,200]
         */
        public String Created_By_Employee;
        /**
         * 修改员工号[0,200]
         */
        public String Updated_By_Employee;
        /**
         * 授权员工号[0,200]
         */
        public String Author_Employee;
        /**
         * 建立记录的渠道[0,200]
         */
        public String Created_Channel;
        /**
         * 更新记录的渠道[0,200]
         */
        public String Update_Channel;
        /**
         * 备注信息3[0,200]
         */
        public String Attribute3;
        /**
         * 备注信息4[0,200]
         */
        public String Attribute4;
        /**
         * 备注信息5[0,200]
         */
        public String Attribute5;
        /**
         * 备注信息6[0,200]
         */
        public String Attribute6;
        /**
         * 备注信息7[0,200]
         */
        public String Attribute7;
        /**
         * 备注信息8[0,200]
         */
        public String Attribute8;
        /**
         * 备注信息9[0,200]
         */
        public String Attribute9;
        /**
         * 备注信息10[0,200]
         */
        public String Attribute10;
        /**
         * 备注信息11[0,200]
         */
        public String Attribute11;
        /**
         * 备注信息12[0,200]
         */
        public String Attribute12;
        /**
         * 备注信息13[0,200]
         */
        public String Attribute13;
        /**
         * 备注信息14[0,200]
         */
        public String Attribute14;
        /**
         * 备注信息15[0,200]
         */
        public String Attribute15;
        /**
         * 备注信息16[0,200]
         */
        public String Attribute16;
        /**
         * 备注信息17[0,200]
         */
        public String Attribute17;
        /**
         * 统一社会信用代码[0,200]
         */
        public String Unified_Social_Credit_Code;
        /**
         * 纳税人标识[0,200]
         */
        public String Tax_Flag;
        /**
         * 主营业务[0,200]
         */
        public String Most_Business;
        /**
         * 同一存款人客户号[0,200]
         */
        public String Same_Dep_Org_no;
        /**
         * 同一存款人社会信用代码[0,200]
         */
        public String Same_Dep_Social_Code;
        /**
         * 同一存款人名称[0,200]
         */
        public String Same_Dep_Name;
        /**
         * 同一存款人组织机构代码[0,200]
         */
        public String Same_Dep_National_Code;

    }
}
