package com.brilliance.isc.esb.model.ejs;


import com.brilliance.isc.esb.model.AbsEjsRes;
import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * EjsHlcx e结算汇率查询响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResEjsHlcx extends AbsEjsRes {

    /**
     * 卖出汇率[14,6]
     */
    public String selrat;

    /**
     * 买入汇率[14,6]
     */
    public String buyrat;

    public ResEjsHlcx() {
    }

    public ResEjsHlcx(String errorCode, String errorMsg, String selrat, String buyrat) {
        this.errorCode = errorCode;
        this.errorMsg = errorMsg;
        this.selrat = selrat;
        this.buyrat = buyrat;
    }
}
