package com.brilliance.isc.esb.model.hx;

import java.util.LinkedList;
import java.util.List;

/**
 * @author tl19961012@163.com
 * @date 2023/2/17
 */
public class ResO43702 {
    /**
     * 笔数
     */
    public String BISHUU;
    /**
     * CMT文件名
     */
    public String CMTFNM;

    public List<ItemF43701> F43701 = new LinkedList<>();

    public static class ItemF43701 {
        /**
         * 冻结编号
         */
        public String DNGIBH;
        /**
         * 帐号
         */
        public String ZHANCH;
        /**
         * 客户号类型
         */
        public String KHZHLX;
        /**
         * 客户帐号
         */
        public String KEHUZH;
        /**
         * 帐务机构号
         */
        public String ZHNGIG;
        /**
         * 客户号
         */
        public String KEHHAO;
        /**
         * 客户中文名
         */
        public String KEHZWM;
        /**
         * 冻结类型
         */
        public String DJIELX;
        /**
         * 冻结金额
         */
        public String DJIEJE;
        /**
         * 货市代号
         */
        public String HUOBDH;
        /**
         * 是否标志
         */
        public String SHFOBZ;
        /**
         * 报文来源
         */
        public String BAOWLY;
        /**
         * 信息文本
         */
        public String XINXWB;
        /**
         * 统计代码
         */
        public String TNGIDM;
        /**
         * 附加信息1
         */
        public String FIXX01;
        /**
         * 说明
         */
        public String SHMING;
        /**
         * 执法部门
         */
        public String ZHIFBM;
        /**
         * 交易码
         */
        public String JIAOYM;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 营业机构号
         */
        public String YNGYIG;
        /**
         * 调出机构号
         */
        public String DIOCJG;
        /**
         * 交易时间
         */
        public String JIOYSI;
        /**
         * 起始日期
         */
        public String QISHRQ;
        /**
         * 交易柜员
         */
        public String JIO1GY;
        /**
         * 授权柜员
         */
        public String SHOQGY;
        /**
         * 柜员流水号
         */
        public String GUIYLS;
        /**
         * 系统标识码
         */
        public String QUDAOO;
        /**
         * 解冻日期
         */
        public String JDNGRQ;
        /**
         * 解冻柜员
         */
        public String JDNGGY;
        /**
         * 解冻授权员
         */
        public String JDNGSQ;
        /**
         * 解挂交易柜流水号
         */
        public String JGGYLS;
        /**
         * 渠道去向
         */
        public String QUDQUX;
        /**
         * 申请理由
         */
        public String SHNQLY;
        /**
         * 代理业务号
         */
        public String DLIYWH;
        /**
         * 联系人姓名1
         */
        public String LXRXM1;
        /**
         * 证件种类
         */
        public String ZHJNZL;
        /**
         * 证件号码
         */
        public String ZHJHAO;
        /**
         * 电话号码
         */
        public String DIANHH;
        /**
         * 联系电话1
         */
        public String LXDHU1;
        /**
         * 联系人姓名2
         */
        public String LXRXM2;
        /**
         * 代理人证件种类
         */
        public String DLRZZL;
        /**
         * 代理人证件号码
         */
        public String DLRZJH;
        /**
         * 联系电话
         */
        public String LXDIAH;
        /**
         * 联系电话2
         */
        public String LXDHU2;
        /**
         * 姓名拼音
         */
        public String XNGMPY;
        /**
         * 挂失人证件种类
         */
        public String GSRZJL;
        /**
         * 挂失人证件号码
         */
        public String GSRZJH;
        /**
         * 手机号码
         */
        public String SHOJHM;
        /**
         * 办公电话
         */
        public String BANGDH;
        /**
         * 法人代表姓名
         */
        public String FRDBMC;
        /**
         * 个人证件类型
         */
        public String GRZILX;
        /**
         * 个人证件号码
         */
        public String CRZJHM;
        /**
         * 移动（或其他)电话
         */
        public String YDDIAH;
        /**
         * 法人代表电话号码
         */
        public String FARNDH;
        /**
         * 终端号
         */
        public String ZHNCDH;
        /**
         * 记录状态
         */
        public String JILUZT;
        /**
         * 摘要
         */
        public String ZHAIYO;
        /**
         * 备用1
         */
        public String BYBZ01;
        /**
         * 备用标志2
         */
        public String BYBZ02;
        /**
         * 备用标志3
         */
        public String BYBZ03;
        /**
         * 备用字符
         */
        public String BEIYZF;
        /**
         * 备用字段40位
         */
        public String BEIY40;
        /**
         * 备用日期
         */
        public String BEIYRQ;
        /**
         * 备用金额
         */
        public String BEIYJE;
    }

    public ResO43702() {
    }

    public ResO43702(String BISHUU, String CMTFNM, List<ItemF43701> F43701) {
        this.BISHUU = BISHUU;
        this.CMTFNM = CMTFNM;
        this.F43701 = F43701;
    }
}
