package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

public class ResO86802 {

    /**
     * 往来标志
     */
    public String WANLBZ;
    /**
     * 系统编号
     */
    public String XITBHO;
    /**
     * 业务编号
     */
    public String YEWUBH;
    /**
     * 传真号码
     */
    public String CZHENH;
    /**
     * 备注信息
     */
    public String BEIZXX;
    /**
     * 发起直接参与机构
     */
    public String FQZJJG;
    /**
     * 发起参与机构
     */
    public String FQCYJG;
    /**
     * 发起参与机构名称
     */
    public String FQJGMC;
    /**
     * 接收直接参与机构
     */
    public String JSZJJG;
    /**
     * 接收参与机构
     */
    public String JSCYJG;
    /**
     * 接收参与机构名称
     */
    public String JSJGMC;
    /**
     * 业务类型
     */
    public String YWLXDM;
    /**
     * 业务种类
     */
    public String YWZLDM;
    /**
     * 付款行行号
     */
    public String FUKHHH;
    /**
     * 付款人帐号
     */
    public String FUKRZH;
    /**
     * 付款人名称
     */
    public String FKRMCH;
    /**
     * 收款行行号
     */
    public String SHKHHH;
    /**
     * 收款人帐号
     */
    public String SHKRZH;
    /**
     * 收款人名称
     */
    public String SKRMCH;
    /**
     * 参与标志
     */
    public String CANYBZ;
    /**
     * 付款人开户行名称
     */
    public String FUKRHM;
    /**
     * 附言1
     */
    public String FUYNH1;
    /**
     * 收款人开户行名称
     */
    public String SHKRHM;
    /**
     * 人行状态码
     */
    public String RENHZT;
    /**
     * 说明
     */
    public String SHMING;
    /**
     * 信息
     */
    public String XINX01;
    /**
     * 信息
     */
    public String XINX02;

    public List<ItemF86801> F86801 = new ArrayList<>();
    public List<ItemF86802> F86802 = new ArrayList<>();
    public List<ItemF86803> F86803 = new ArrayList<>();
    public List<ItemF86805> F86805 = new ArrayList<>();
    public List<ItemF86283> F86283 = new ArrayList<>();
    public List<ItemF86221> F86221 = new ArrayList<>();
    public List<ItemF86222> F86222 = new ArrayList<>();
    public List<ItemF86223> F86223 = new ArrayList<>();
    public List<ItemF86224> F86224 = new ArrayList<>();
    public List<ItemF86281> F86281 = new ArrayList<>();
    public List<ItemF86282> F86282 = new ArrayList<>();
    public List<ItemF86251> F86251 = new ArrayList<>();
    public List<ItemF86804> F86804 = new ArrayList<>();
    public List<ItemF86806> F86806 = new ArrayList<>();
    public List<ItemF86807> F86807 = new ArrayList<>();
    public List<ItemF86808> F86808 = new ArrayList<>();
    public List<ItemF86809> F86809 = new ArrayList<>();
    public List<ItemF8680A> F8680A = new ArrayList<>();
    public List<ItemF8680B> F8680B = new ArrayList<>();
    public List<ItemF8680C> F8680C = new ArrayList<>();
    public List<ItemF8680D> F8680D = new ArrayList<>();
    public List<ItemF8680E> F8680E = new ArrayList<>();
    public List<ItemF8680F> F8680F = new ArrayList<>();
    public List<ItemF8680G> F8680G = new ArrayList<>();
    public List<ItemF8680H> F8680H = new ArrayList<>();
    public List<ItemF8680I> F8680I = new ArrayList<>();
    public List<ItemF8680J> F8680J = new ArrayList<>();
    public List<ItemF8680K> F8680K = new ArrayList<>();
    public List<ItemF8680L> F8680L = new ArrayList<>();
    public List<ItemF8680M> F8680M = new ArrayList<>();
    public List<ItemF8680N> F8680N = new ArrayList<>();
    public List<ItemF8680O> F8680O = new ArrayList<>();
    public List<ItemF8680P> F8680P = new ArrayList<>();
    public List<ItemF8680Q> F8680Q = new ArrayList<>();
    public List<ItemF8680R> F8680R = new ArrayList<>();


    public static class ItemF86801{

        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 业务类型
         */
        public String YWLXDM;
        /**
         * 银行BIC号码
         */
        public String BICCOD;
        /**
         * 委托日期
         */
        public String WEITRQ;
        /**
         * 凭证序号
         */
        public String PNGZXH;
        /**
         * 入帐日期
         */
        public String RUZHRQ;
        /**
         * 受理编号
         */
        public String SLBHAO;
        /**
         * 记录状态
         */
        public String JILUZT;
        /**
         * 时间戳
         */
        public String SHJNCH;
        /**
         * 日志序号
         */
        public String RIZHXH;
    }
    public static class ItemF86802{
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 报文发送日期
         */
        public String MSGSDT;
        /**
         * 营业机构号
         */
        public String YNGYJG;
        /**
         * 往来标志
         */
        public String WANLBZ;
        /**
         * 业务类型
         */
        public String YWU1LX;
        /**
         * 报文业务类型
         */
        public String BWYWLX;
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 退汇业务编号
         */
        public String THYWBH;
        /**
         * 明细标识号
         */
        public String MXIBSH;
        /**
         * 审批文号
         */
        public String SPWENH;
        /**
         * 发起参与机构
         */
        public String FQCYJG;
        /**
         * 收款人开户行名称
         */
        public String SHKRHM;
        /**
         * 收款人帐号
         */
        public String SHKRZH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
        /**
         * 接收参与机构
         */
        public String JSCYJG;
        /**
         * 付款人开户行名称
         */
        public String FUKRHM;
        /**
         * 付款人帐号
         */
        public String FUKRZH;
        /**
         * 付款人名称
         */
        public String FKRMCH;
        /**
         * 持票人帐号
         */
        public String CHPRZH;
        /**
         * 申请人名称
         */
        public String CFPRMC;
        /**
         * 凭证日期
         */
        public String PNGZRQ;
        /**
         * 到期日
         */
        public String DAOQRQ;
        /**
         * 承兑日期
         */
        public String CDUIRQ;
        /**
         * 付款日期
         */
        public String FUKURQ;
        /**
         * 凭证种类
         */
        public String PNGZZL;
        /**
         * 分行代码
         */
        public String FENHDM;
        /**
         * 凭证批号
         */
        public String PNGZPH;
        /**
         * 凭证序号
         */
        public String PNGZXH;
        /**
         * 凭证种类
         */
        public String PNG1ZL;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 货币代号
         */
        public String HUOBDH;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 承兑协议编号
         */
        public String CDHTBH;
        /**
         * 合同协议号
         */
        public String HETXYH;
        /**
         * 承兑行行号
         */
        public String CDCYHH;
        /**
         * 承兑人名称
         */
        public String CDURMC;
        /**
         * 校验
         */
        public String JAOYAN;
        /**
         * 备用字符
         */
        public String BEIYZF;
        /**
         * 交易列表
         */
        public String JIOYLB;
        /**
         * 受理日期
         */
        public String SHLIRQ;
        /**
         * 不计息天数
         */
        public String BUJXTS;
        /**
         * 交易性质
         */
        public String JIOYXZ;
        /**
         * 通讯状态
         */
        public String TOXUZT;
        /**
         * 预留标志
         */
        public String YLIUBZ;
        /**
         * 单据份数
         */
        public String DANJFS;
        /**
         * 附言1
         */
        public String FUYNH1;
        /**
         * 附言2
         */
        public String FUYNH2;
        /**
         * 核实行打印数据
         */
        public String DAYNSJ;
        /**
         * 银行机构代码（人行）
         */
        public String RHJGDM;
        /**
         * 说明
         */
        public String SHMING;
        /**
         * 代理付款人户名
         */
        public String DAILMC;
        /**
         * 备注信息
         */
        public String BEIZXX;
        /**
         * 柜员代号
         */
        public String GUIYDH;
        /**
         * 柜员流水号
         */
        public String GUIYLS;
        /**
         * 复核柜员
         */
        public String FUHEGY;
        /**
         * 复核柜员流水号
         */
        public String FHGYLS;
        /**
         * 时间戳
         */
        public String SHJNCH;
        /**
         * 记录状态
         */
        public String JILUZT;
        /**
         * 日志序号
         */
        public String RIZHXH;
        /**
         * 帐号
         */
        public String ZHANGH;
        /**
         * 客户中文名
         */
        public String KEHZWM;
        /**
         * 第三方用户编号
         */
        public String DSYHBH;
        /**
         * 在开户行结算帐号
         */
        public String KHJSZH;
        /**
         * 交易组别列表
         */
        public String JYZBLB;
        /**
         * 所属地区代码
         */
        public String SUSDDM;
    }
    public static class ItemF86803{

        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 业务类型
         */
        public String YWLXDM;
        /**
         * 付款人账户类型
         */
        public String FKRHLX;
        /**
         * 付款人帐号
         */
        public String FUKRZH;

        /**
         * 付款人名称
         */
        public String FKRMCH;
        /**
         * 收款人账户类型
         */
        public String SKRHLX;
        /**
         * 收款人帐号
         */
        public String SHKRZH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 业务类型
         */
        public String YWU1LX;
        /**
         * 交易模式
         */
        public String JIOYMS;

        /**
         * 密码验证码算法
         */
        public String MMJYLX;
        /**
         * 长度
         */
        public String CHANGD;
        /**
         * 交易列表
         */
        public String JIOYLB;
        /**
         * 前台流水号
         */
        public String QANTLS;

        /**
         * 柜员流水号
         */
        public String GUIYLS;
        /**
         * 时间戳
         */
        public String SHJNCH;
        /**
         * 记录状态
         */
        public String JILUZT;
        /**
         * 日志序号
         */
        public String RIZHXH;

    }
    public static class ItemF86805{

        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 业务类型
         */
        public String YWLXDM;
        /**
         * 原报文标识号
         */
        public String YBWBSH;
        /**
         * 原发起参与机构
         */
        public String YFQCYJ;
        /**
         * 原报文类型号
         */
        public String YBWLXH;
        /**
         * 原发起间接参与机构
         */
        public String YFQJJG;
        /**
         * 原接收间接参与机构
         */
        public String YJSJJG;
        /**
         * 原业务类型
         */
        public String YYWLXH;
        /**
         * 附言1
         */
        public String FUYNH1;
        /**
         * 记录状态
         */
        public String JILUZT;
    }
    public static class ItemF86283{

        /**
         * 客户号
         */
        public String KEHHAO;
        /**
         * 对方帐号
         */
        public String DUIFZH;
        /**
         * 发起行行号
         */
        public String FQHHAO;
        /**
         * 业务类型
         */
        public String YEWULX;
        /**
         * 是否标志
         */
        public String SHFOBZ;
        /**
         * 交易金额
         */
        public String JIOYJE;
        /**
         * 交易金额
         */
        public String JIO1JE;
        /**
         * 旧凭证号码
         */
        public String JUPZHH;
        /**
         * 凭证日期
         */
        public String PNGZRQ;
        /**
         * 票据号码
         */
        public String PIAOJH;
        /**
         * 凭证名称
         */
        public String PNGZMC;
        /**
         * 凭证名称
         */
        public String QIYEDM;
        /**
         * 启用标志
         */
        public String QIYNBZ;
        /**
         * 通知金额
         */
        public String TONZJE;
    }
    public static class ItemF86221{

        /**
         * 日期
         */
        public String RIQIII;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 帐户种类
         */
        public String ZHHUZL;
    }
    public static class ItemF86222{

        /**
         * 委托日期
         */
        public String WET1RQ;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 交易金额3
         */
        public String ZFJEE3;
        /**
         * 交易金额4
         */
        public String ZFJEE4;
        /**
         * 交易金额5
         */
        public String ZFJEE5;
    }
    public static class ItemF86223{

        /**
         * 业务流水号
         */
        public String YEWLSH;
        /**
         * 存款证明登记号
         */
        public String CKZMDJ;
        /**
         * 缴费类型
         */
        public String JIAFLX;
        /**
         * 附言1
         */
        public String FUYNH1;
    }
    public static class ItemF86224{

        /**
         * 委托日期
         */
        public String WEITRQ;
        /**
         * 端到端标识号
         */
        public String DDDBSH;
        /**
         * 中介机构1
         */
        public String ZHJJG1;
        /**
         * 中介机构1名称
         */
        public String ZJG1MC;
        /**
         * 中介机构2
         */
        public String ZHJJG2;
        /**
         * 中介机构2名称
         */
        public String ZJG2MC;
        /**
         * 中间业务种类
         */
        public String ZJYWZL;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 附言1
         */
        public String FUYNH1;
    }
    public static class ItemF86281{

        /**
         * 流水号
         */
        public String LIUSHA;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 委托编号
         */
        public String WEITBH;
        /**
         * 现金项目代码
         */
        public String XJXMDM;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 到单序号
         */
        public String DADAXH;
        /**
         * 营销上级
         */
        public String YNGXSJ;
        /**
         * 业务标志
         */
        public String YEWUBZ;
        /**
         * 样式名
         */
        public String YANGSM;
        /**
         * 有效记录条数
         */
        public String YXJLTS;
        /**
         * 所属人行代码
         */
        public String SSRHDM;
        /**
         * 机构证件号码
         */
        public String JGZJHM;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
    }
    public static class ItemF86282{

        /**
         * 流水号
         */
        public String LIUSHA;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 委托编号
         */
        public String WEITBH;
        /**
         * 现金项目代码
         */
        public String XJXMDM;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 到单序号
         */
        public String DADAXH;
        /**
         * 有效记录条数
         */
        public String YXJLTS;
        /**
         * 交易对手代码
         */
        public String JYDSDM;
        /**
         * 所属人行代码
         */
        public String SSRHDM;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 外管代码
         */
        public String WAIGDM;
        /**
         * 交易金额3
         */
        public String ZFJEE3;
    }
    public static class ItemF86251{

        /**
         * 年/月利率
         */
        public String NYUELL;
        /**
         * 币种来源
         */
        public String BIZHLY;
        /**
         * 电报挂号
         */
        public String DIABGH;
    }
    public static class ItemF86804{
        /**
         * 票据收款人名称
         */
        public String PJSKRM;
    }
    public static class ItemF86806{
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 交易金额3
         */
        public String ZFJEE3;
        /**
         * 交易金额4
         */
        public String ZFJEE4;
        /**
         * 交易金额5
         */
        public String ZFJEE5;
        /**
         * 到期日
         */
        public String DAOQRQ;
    }
    public static class ItemF86807{
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 交易金额3
         */
        public String ZFJEE3;
        /**
         * 发起参与机构
         */
        public String FQCYJG;
        /**
         * 原报文标识号
         */
        public String YBWBSH;
        /**
         * 原发起参与机构
         */
        public String YFQCYJ;
        /**
         * 功能
         */
        public String GLLLLL;
        /**
         * 查询类型
         */
        public String YWCXLX;

    }
    public static class ItemF86808{
        /**
         * 报文名称
         */
        public String BAOWNM;
        /**
         * 借贷标识
         */
        public String JIDABZ;
        /**
         * 功能
         */
        public String GLLLLL;
        /**
         * 货币代号
         */
        public String HUOBDH;
    }
    public static class ItemF86809{
        /**
         * 出票日期
         */
        public String CHUPRQ;
        /**
         * 日期
         */
        public String RIQIII;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 发起参与机构
         */
        public String FQCYJG;
        /**
         * 付款人帐号
         */
        public String FUKRZH;
        /**
         * 收款人帐号
         */
        public String SHKRZH;
        /**
         * 货币代号
         */
        public String HUOBDH;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 附言1
         */
        public String FUYNH1;
        /**
         * 产品编号1
         */
        public String CPBH01;
    }
    public static class ItemF8680A{
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 代理付款人账号
         */
        public String DAILZH;
        /**
         * 代理付款人户名
         */
        public String DAILMC;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 赔偿金金额
         */
        public String PCNGJE;
        /**
         * 申请人名称
         */
        public String CFPRMC;
        /**
         * 票据张数
         */
        public String PIOJZS;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 成交编号
         */
        public String CJIOBH;
        /**
         * 报表代码
         */
        public String BAOBDM;
        /**
         * 承接行行号
         */
        public String CJJGHH;
        /**
         * 报文日期
         */
        public String BAOWRQ;
        /**
         * 付款人名称
         */
        public String FKRMCH;
        /**
         * 收款行行号
         */
        public String SHKHHH;
        /**
         * 收款清算行行号
         */
        public String SHKQSH;
        /**
         * 对方帐号
         */
        public String DUIFZH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
    }
    public static class ItemF8680B{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 报文类型
         */
        public String BAOWLX;
        /**
         * 工作单位
         */
        public String GNGZDW;
        /**
         * 工作密钥
         */
        public String GNGZMY;
        /**
         * 币种
         */
        public String BIZHON;
    }
    public static class ItemF8680C{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 业务类型
         */
        public String YWLXDM;
        /**
         * 备注
         */
        public String REMARK;
        /**
         * 网银DN域
         */
        public String WYDNYU;
        /**
         * 信息
         */
        public String XINX01;
        /**
         * 长度
         */
        public String CHANGD;
    }
    public static class ItemF8680D{
        /**
         * 人行状态码
         */
        public String RENHZT;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 办公电话
         */
        public String BANGDH;
        /**
         * 发起行行号
         */
        public String FQHHAO;
        /**
         * 对方帐号
         */
        public String DUIFZH;
        /**
         * 交易金额
         */
        public String JIOYJE;
        /**
         * 产品编号1
         */
        public String CPBH01;
    }
    public static class ItemF8680E{
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 凭证提交号
         */
        public String PZHTJH;
        /**
         * 报文发送日期
         */
        public String MSGSDT;
        /**
         * 明细标识号
         */
        public String MXIBSH;
        /**
         * 付款人帐号
         */
        public String FUKRZH;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 信息
         */
        public String XINX01;
        /**
         * 信息
         */
        public String XINX02;
        /**
         * 信息
         */
        public String XINX03;
        /**
         * 信息
         */
        public String XINX04;
    }
    public static class ItemF8680F{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 报文状态信息
         */
        public String BWZTXX;
        /**
         * 长度
         */
        public String CHANGD;
        /**
         * CMT文件名
         */
        public String CMTFNM;
    }
    public static class ItemF8680G{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 操作标志
         */
        public String CAOZBZ;
        /**
         * 报文状态信息
         */
        public String BWZTXX;
    }
    public static class ItemF8680H{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 付款人账户类型
         */
        public String FKRHLX;
        /**
         * 付款人帐号
         */
        public String FUKRZH;
        /**
         * 变更类型
         */
        public String BINGLX;
        /**
         * 长度
         */
        public String CHANGD;
        /**
         * 交易列表
         */
        public String JIOYLB;
        /**
         * 查询类型
         */
        public String YWCXLX;
        /**
         * 信息
         */
        public String XINX01;
    }
    public static class ItemF8680I{
        /**
         * 报文日期
         */
        public String BAOWRQ;
        /**
         * 原明细标识号
         */
        public String YMXBSH;
        /**
         * 原业务类型
         */
        public String YYWLXH;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 人行状态码
         */
        public String RENHZT;
        /**
         * 附言1
         */
        public String FUYNH1;
    }
    public static class ItemF8680J{
        /**
         * 业务编号
         */
        public String YEWUBH;
        /**
         * 报文日期
         */
        public String BAOWRQ;
        /**
         * 原明细标识号
         */
        public String YMXBSH;
        /**
         * 原业务类型
         */
        public String YYWLXH;
        /**
         * 交易日期
         */
        public String JIOYRQ;
        /**
         * 附言1
         */
        public String FUYNH1;
    }
    public static class ItemF8680K{
        /**
         * 委托日期
         */
        public String WEITRQ;
        /**
         * 中间业务种类
         */
        public String ZJYWZL;
        /**
         * 交易金额1
         */
        public String ZFJEE1;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 附言1
         */
        public String FUYNH1;
        /**
         * 端到端标识号
         */
        public String DDDBSH;
        /**
         * 中介机构1
         */
        public String ZHJJG1;
        /**
         * 中介机构1名称
         */
        public String ZJG1MC;
        /**
         * 中介机构2
         */
        public String ZHJJG2;
        /**
         * 中介机构2名称
         */
        public String ZJG2MC;
        /**
         * 收款人名称2
         */
        public String SKRMC2;
        /**
         * 收款人名称3
         */
        public String SKRMC3;
        /**
         * 收款人地址2
         */
        public String SKRDZ2;
        /**
         * 收款人地址3
         */
        public String SKRDZ3;
        /**
         * 收款人地址4
         */
        public String SKRDZ4;
        /**
         * 收款人地址5
         */
        public String SKRDZ5;
        /**
         * 收款人账号2
         */
        public String SKRZH2;
        /**
         * 付款人名称2
         */
        public String FKRMC2;
        /**
         * 付款人名称3
         */
        public String FKRMC3;
        /**
         * 付款人地址2
         */
        public String FKRDZ2;
        /**
         * 付款人地址3
         */
        public String FKRDZ3;
        /**
         * 付款人地址4
         */
        public String FKRDZ4;
        /**
         * 付款人地址5
         */
        public String FKRDZ5;
        /**
         * 付款人账号2
         */
        public String FKRZH2;
    }
    public static class ItemF8680L{
        /**
         * 第三方用户编号
         */
        public String DSYHBH;
        /**
         * 第三方用户编号2
         */
        public String DSYHB2;
        /**
         * 摘要代码1
         */
        public String ZYDM01;
        /**
         * 摘要代码2
         */
        public String ZYDM02;
        /**
         * 受理编号
         */
        public String SLBHAO;
        /**
         * 预制卡申请编号
         */
        public String YZSQBH;
        /**
         * 数据项
         */
        public String SHUJUX;
        /**
         * 地区代码（人行）
         */
        public String RHDQDM;
        /**
         * 信息
         */
        public String XINX02;
        /**
         * 付款途径账号
         */
        public String FKTJZH;
        /**
         * 信息
         */
        public String XINX01;
        /**
         * 受益人账号
         */
        public String SYIRZH;
        /**
         * 通知内容
         */
        public String TNGZNR;
        /**
         * 收单行地区银行代码
         */
        public String DQYHDM;
        /**
         * 合同编号
         */
        public String HETGBH;
        /**
         * 初始开始日期
         */
        public String CSKSRQ;
        /**
         * 信息
         */
        public String XINX04;
        /**
         * 凭证种类
         */
        public String CNPZZL;
        /**
         * 交易种类
         */
        public String JIOYZL;
        /**
         * 凭证名称
         */
        public String PNGZMC;
        /**
         * 支付凭证编号
         */
        public String ZFPZBH;
        /**
         * 兑付起始日期
         */
        public String DFQSRQ;
        /**
         * 兑付终止日期
         */
        public String DFZZRQ;
        /**
         * 起始日期
         */
        public String QISHRQ;
        /**
         * 调整终止日期
         */
        public String TZZZRQ;
        /**
         * 兑付日期
         */
        public String DUIFRQ;
        /**
         * 交易金额
         */
        public String ZFJEE2;
        /**
         * 赔偿金金额
         */
        public String PCNGJE;
        /**
         * 附言1
         */
        public String FUYNH1;
        /**
         * 企业外管代码
         */
        public String QYWGDM;
    }
    public static class ItemF8680M{
        /**
         * 通存通兑标识
         */
        public String TCTDBZ;
        /**
         * 业务种类
         */
        public String YWZLDM;
        /**
         * 所属地区代码
         */
        public String SUSDDM;
        /**
         * 收款行行号
         */
        public String SHKHHH;
        /**
         * 收款人帐号
         */
        public String SHKRZH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
        /**
         * 收款人地址
         */
        public String SKRDZH;
        /**
         * 通知事件类型
         */
        public String TZSJLX;
        /**
         * 受益人帐号
         */
        public String SYIRZH;
        /**
         * 付款行行号
         */
        public String FUKHHH;
        /**
         * 付款人帐号
         */
        public String FUKRZH;
        /**
         * 付款人名称
         */
        public String FKRMCH;
        /**
         * 付款人地址
         */
        public String FKRDZH;
        /**
         * 约定转帐类型
         */
        public String ZHZHLX;
        /**
         * 付款途径帐号
         */
        public String FKTJZH;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 名次
         */
        public String MINGCI;
        /**
         * 手续费收入业务代号
         */
        public String SXSYWH;
    }
    public static class ItemF8680N{
        /**
         * 交换号
         */
        public String JIAOHH;
        /**
         * 核证行数据
         */
        public String HEZHSH;
        /**
         * 回库日期
         */
        public String HKRIQI;
        /**
         * 分片关联标识
         */
        public String YEWUBS;
        /**
         * 对方行号
         */
        public String GUIFHH;
        /**
         * 系统内全国压数机编号
         */
        public String YASHJN;
        /**
         * 三省一市压数机编号
         */
        public String YASHJS;
        /**
         * 交易摘要信息
         */
        public String JYZYXX;
        /**
         * 原（被撤）交易名称
         */
        public String YBCJMC;
        /**
         * 最初汇款行
         */
        public String ZUICHK;
        /**
         * 业务类型名称
         */
        public String YEWLXM;
        /**
         * 截止日期
         */
        public String JIZHRQ;
    }
    public static class ItemF8680O{
        /**
         * 明细标识号
         */
        public String MXIBSH;
        /**
         * 原明细标识号
         */
        public String YMXBSH;
        /**
         * 报文名称
         */
        public String BAOWNM;
        /**
         * 中间行
         */
        public String ZHOGJH;
        /**
         * 计收利息日期
         */
        public String JSLXRQ;
        /**
         * 数据字段名称列表
         */
        public String SJZDMB;
        /**
         * 发报行的代理行
         */
        public String FABDLH;
        /**
         * 申请确认状态名称
         */
        public String SQQZMC;
        /**
         * 报文文件名
         */
        public String MSGFNM;
        /**
         * 提出贷方退票笔数
         */
        public String TCDTBS;
    }
    public static class ItemF8680P{
        /**
         * 收款行行号
         */
        public String SHKHHH;
        /**
         * 收款人帐号
         */
        public String SHKRZH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
        /**
         * 票据号码
         */
        public String PJHAOM;
        /**
         * 赔偿金金额
         */
        public String PCNGJE;
        /**
         * 金额
         */
        public String ZHIFJE;
        /**
         * 交易金额2
         */
        public String ZFJEE2;
        /**
         * 交易金额3
         */
        public String ZFJEE3;
        /**
         * 展期原业务编号
         */
        public String YLYWBH;
        /**
         * 处理经过
         */
        public String CHLIJG;
        /**
         * 约定转帐类型
         */
        public String ZHZHLX;
        /**
         * 报文内容
         */
        public String BAOWNR;
        /**
         * 国际票据号
         */
        public String GJPJDH;
        /**
         * 登录密码
         */
        public String GLDLMM;
        /**
         * 交易日期
         */
        public String JOY1RQ;
        /**
         * 对方帐号
         */
        public String DUIFZH;
        /**
         * 收报行的代理行
         */
        public String SOBDLH;
        /**
         * 管辖人行行号
         */
        public String GXRHHH;
        /**
         * 参数名称
         */
        public String CANSMC;
        /**
         * 审批文号
         */
        public String SPWENH;
        /**
         * 生效日期
         */
        public String SXIORQ;
        /**
         * 简称
         */
        public String JIANCH;
        /**
         * 第三方偿付行
         */
        public String DISFCF;
        /**
         * 垫款来源编号
         */
        public String DILYBH;
        /**
         * 抵押物种类
         */
        public String DIYWZL;
        /**
         * 代理人证件种类
         */
        public String DLRZZL;
        /**
         * 客户担保编号
         */
        public String KHDBBH;
        /**
         * 磁道信息
         */
        public String CIDAOX;
        /**
         * CMT文件名
         */
        public String CMTFNM;
    }
    public static class ItemF8680Q{
        /**
         * 开证行行号
         */
        public String DRHGZH;
        /**
         * 信用证编号
         */
        public String SHYIH1;
        /**
         * 到单编号
         */
        public String XYSHBH;
        /**
         * 交单行行号
         */
        public String SHMGXX;
        /**
         * 寄单索款编号
         */
        public String SQQZMC;
    }
    public static class ItemF8680R{
        /**
         * 债权转让书原发起直参行行号
         */
        public String SHDHMC;
        /**
         * 债权转让书报文标识
         */
        public String JIYBSH;
    }

    public ResO86802() {
    }

    public ResO86802(String WANLBZ, String XITBHO, String YEWUBH, String CZHENH, String BEIZXX, String FQZJJG, String FQCYJG, String FQJGMC, String JSZJJG, String JSCYJG, String JSJGMC, String YWLXDM, String YWZLDM, String FUKHHH, String FUKRZH, String FKRMCH, String SHKHHH, String SHKRZH, String SKRMCH, String CANYBZ, String FUKRHM, String FUYNH1, String SHKRHM, String RENHZT, String SHMING, String XINX01, String XINX02, List<ItemF86801> f86801, List<ItemF86802> f86802, List<ItemF86803> f86803, List<ItemF86805> f86805, List<ItemF86283> f86283, List<ItemF86221> f86221, List<ItemF86222> f86222, List<ItemF86223> f86223, List<ItemF86224> f86224, List<ItemF86281> f86281, List<ItemF86282> f86282, List<ItemF86251> f86251, List<ItemF86804> f86804, List<ItemF86806> f86806, List<ItemF86807> f86807, List<ItemF86808> f86808, List<ItemF86809> f86809, List<ItemF8680A> f8680A, List<ItemF8680B> f8680B, List<ItemF8680C> f8680C, List<ItemF8680D> f8680D, List<ItemF8680E> f8680E, List<ItemF8680F> f8680F, List<ItemF8680G> f8680G, List<ItemF8680H> f8680H, List<ItemF8680I> f8680I, List<ItemF8680J> f8680J, List<ItemF8680K> f8680K, List<ItemF8680L> f8680L, List<ItemF8680M> f8680M, List<ItemF8680N> f8680N, List<ItemF8680O> f8680O, List<ItemF8680P> f8680P, List<ItemF8680Q> f8680Q, List<ItemF8680R> f8680R) {
        this.WANLBZ = WANLBZ;
        this.XITBHO = XITBHO;
        this.YEWUBH = YEWUBH;
        this.CZHENH = CZHENH;
        this.BEIZXX = BEIZXX;
        this.FQZJJG = FQZJJG;
        this.FQCYJG = FQCYJG;
        this.FQJGMC = FQJGMC;
        this.JSZJJG = JSZJJG;
        this.JSCYJG = JSCYJG;
        this.JSJGMC = JSJGMC;
        this.YWLXDM = YWLXDM;
        this.YWZLDM = YWZLDM;
        this.FUKHHH = FUKHHH;
        this.FUKRZH = FUKRZH;
        this.FKRMCH = FKRMCH;
        this.SHKHHH = SHKHHH;
        this.SHKRZH = SHKRZH;
        this.SKRMCH = SKRMCH;
        this.CANYBZ = CANYBZ;
        this.FUKRHM = FUKRHM;
        this.FUYNH1 = FUYNH1;
        this.SHKRHM = SHKRHM;
        this.RENHZT = RENHZT;
        this.SHMING = SHMING;
        this.XINX01 = XINX01;
        this.XINX02 = XINX02;
        F86801 = f86801;
        F86802 = f86802;
        F86803 = f86803;
        F86805 = f86805;
        F86283 = f86283;
        F86221 = f86221;
        F86222 = f86222;
        F86223 = f86223;
        F86224 = f86224;
        F86281 = f86281;
        F86282 = f86282;
        F86251 = f86251;
        F86804 = f86804;
        F86806 = f86806;
        F86807 = f86807;
        F86808 = f86808;
        F86809 = f86809;
        F8680A = f8680A;
        F8680B = f8680B;
        F8680C = f8680C;
        F8680D = f8680D;
        F8680E = f8680E;
        F8680F = f8680F;
        F8680G = f8680G;
        F8680H = f8680H;
        F8680I = f8680I;
        F8680J = f8680J;
        F8680K = f8680K;
        F8680L = f8680L;
        F8680M = f8680M;
        F8680N = f8680N;
        F8680O = f8680O;
        F8680P = f8680P;
        F8680Q = f8680Q;
        F8680R = f8680R;
    }
}
