package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * CL83  额度管理系统额度信息同步
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerReqCL83 {

    /**
     * 请求方式标识
     * 1、默认为CL83，无后缀
     * 2、flag=1，则为CL83_1
     * 3、flag=2，则为CL83_2
     * 4、flag=3，则为CL83_3
     */
    public String flag;

    public InnerReqCL83() {
    }

    public InnerReqCL83(String flag) {
        this.flag = flag;
    }
}
