package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 8416核心系统提供二代支付普通汇兑交易【组合交易】响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8416 {
    public InnerRes8416(String objectname, String guiyls, String yewubh, String shfobz, String jybwbz, String tishxi) {
        this.objectname = objectname;
        this.guiyls = guiyls;
        this.yewubh = yewubh;
        this.shfobz = shfobz;
        this.jybwbz = jybwbz;
        this.tishxi = tishxi;
    }

    public InnerRes8416() {
    }

    public String objectname;
    /**
     * 柜员流水号
     */
    public String guiyls;
    /**
     * 业务编号
     */
    public String yewubh;
    /**
     * 大小额标志
     */
    public String shfobz;
    /**
     * 一二代标志
     */
    public String jybwbz;
    /**
     * 提示信息
     */
    public String tishxi;


}
