package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * E200   统一名单筛查接口调用响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResE200 {
    /**
     * 案例编号
     */
    public String case_no;

    /**
     * 筛查状态
     */
    public String list_code;

    /**
     * 案例状态
     */
    public String case_code;

    /**
     * 预留字段1
     */
    public String reserve1;

    /**
     * 预留字段2
     */
    public String reserve2;

    public InnerResE200() {
    }

    public InnerResE200(String case_no, String list_code, String case_code, String reserve1, String reserve2) {
        this.case_no = case_no;
        this.list_code = list_code;
        this.case_code = case_code;
        this.reserve1 = reserve1;
        this.reserve2 = reserve2;
    }
}