package com.brilliance.isc.esb.model.netbank;

import com.brilliance.isc.esb.model.ErrorData;

/**
 * eg02 国结-参数查询对外响应对象
 */
public class ResEG02 extends ErrorData {

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;

    /**
     * 错误代码[0,7]
     */
    public String ERRORCODE;

    /**
     * 错误描述[0，200]
     */
    public String ERRORMESSAGE;

    /**
     * 自助购汇提前申请时限[0,2]
     */
    public String SHTQSQSXKH;

    /**
     * 自助售汇提前申请 时限[0,8]
     * 开始时间：9:30:00
     */
    public String SHQSSJKH;

    /**
     * 自助售汇提前申请时限[0,8]
     * 截止时间最大值为23:30:00（默认18:00:00)
     */
    public String SHJZSJKH;

    public ResEG02() {
    }

    public ResEG02(String JIAYJG, String ERRORCODE, String ERRORMESSAGE, String SHTQSQSXKH, String SHQSSJKH, String SHJZSJKH) {
        this.JIAYJG = JIAYJG;
        this.ERRORCODE = ERRORCODE;
        this.ERRORMESSAGE = ERRORMESSAGE;
        this.SHTQSQSXKH = SHTQSQSXKH;
        this.SHQSSJKH = SHQSSJKH;
        this.SHJZSJKH = SHJZSJKH;
    }
}
