package com.brilliance.isc.esb.model.whj.content.sinosure;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

/**
 * /v1/asset/plnotice-info 信保融资可损信息查询接口
 * /v1/asset/claim-info 信保融资索赔信息查询接口
 *
 * */

@Data
public class PlnoticeInfoContent extends UnCryptContent {

    public String safeAssetId;

    public String policyNo;

    public int operate;

    public String invoiceNo;
}
