package com.brilliance.isc.esb.model.whj.res.sinosure;

import lombok.Data;

@Data
public class Shipment {

    public String shipmentid;         //出运编号
    public String invoiceno;         //发票编号
    public String currencytype;         //申报币种
    public String insuresum;         //申报金额
    public String insremark;         //申报金额字段说明
    public String transportdate;         //出运日期
    public String declaredate;         //申报日期
    public String paymode;         //支付方式
    public String payterm;         //支付期限
    public String iftoll;         //是否已交纳保费

    public Shipment() {
    }

    public Shipment(String shipmentid, String invoiceno, String currencytype, String insuresum, String insremark, String transportdate, String declaredate, String paymode, String payterm, String iftoll) {
        this.shipmentid = shipmentid;
        this.invoiceno = invoiceno;
        this.currencytype = currencytype;
        this.insuresum = insuresum;
        this.insremark = insremark;
        this.transportdate = transportdate;
        this.declaredate = declaredate;
        this.paymode = paymode;
        this.payterm = payterm;
        this.iftoll = iftoll;
    }
}
