package com.brilliance.isc.common.api.gle.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.common.vo.GleVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;

@Data
@Builder
@ApiModel(value = "会计分录返回信息", description = "会计分录返回信息")
public class GlentryResponse extends AbstractCommonVo {

    @ApiModelProperty(value = "分录条目", name = "gles", required = true)
    private List<GleVo> gles;

    /*@ApiModelProperty(value = "Booking stream to Display", name = "gleshwstm", required = true)
    private IStream gleshwstm = new StreamImpl();*/

}
