package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:cty:CTY - Country
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cty {

        //Internal Unique ID of Country
        private String inr = NULLSTR;

        //Country Code
        private String cod = NULLSTR;

        //Currency
        private String cur = NULLSTR;

        //Region
        private String reg = NULLSTR;

        //Version Counter
        private String ver = NULLSTR;

        //Domestic Address
        private String fmtdomadrtyp = NULLSTR;

        //International Address Type
        private String fmtintadrtyp = NULLSTR;

        //dhlreg
        private String dhlreg = NULLSTR;

        //国家代码（3位）
        private String bopcod = NULLSTR;
}