package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:dft:
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Dft {

        //Internal Unique ID of TR Contract Group Loan
        private String inr = NULLSTR;

        //Historic Overview of Narratives
        private String narhis = NULLSTR;

        //List of Modified Fields in TRDGRP
        private String fldmodblk = NULLSTR;

        //Information Finance Party
        private String infpty = NULLSTR;

        //Content of TAG 72
        private String contag72 = NULLSTR;

        //Content of TAG 79
        private String contag79 = NULLSTR;
}