package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
* TABLE:elcrec
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Elcrec {

        private String inr = NULLSTR;

        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
        private Date chkdat;

        private String bnkcod = NULLSTR;

        private String msgid = NULLSTR;

        private String sndrcv = NULLSTR;

        private String insagt = NULLSTR;

        private String msgtyp = NULLSTR;

        private String prcsta = NULLSTR;
}