package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Gts {

    private String inr = NULLSTR;

    private String chf = NULLSTR;

    private String cht = NULLSTR;

    private String chlinr = NULLSTR;

    private String acttyp = NULLSTR;

    private String usr = NULLSTR;

    //beginning time
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date begdat = NULLDATE;

    //end time
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date enddat = NULLDATE;

    private String rmktxt = NULLSTR;

    private String msgref = NULLSTR;

    private String gtsinr = NULLSTR;

    private String ownref = NULLSTR;

    private String biccod = NULLSTR;

    private String msgtyp = NULLSTR;

}
