package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;


/**
 * TABLE:msgctl:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class MsgCtl {
    //内部唯一主键
    private String inr = NULLSTR;

    //报文标识号
    private String msgid = NULLSTR;

    //文件路径1
    private String filepath1 = NULLSTR;

    //文件路径2
    private String filepath2 = NULLSTR;

    //收报状态
    private String sta = NULLSTR;

    //收报状态描述
    private String stadsc = NULLSTR;

    //发送状态
    private String presta = NULLSTR;

    //发送状态描述
    private String prestadsc = NULLSTR;

    //创建时间
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date cretime = NULLDATE;

    //机构号
    private String branch = NULLSTR;

    //保安朱
    private String remark = NULLSTR;
}
