package com.brilliance.isc.bo.model;

import com.brilliance.isc.bo.Led;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* LEDGET - select and/or load LED
*/
@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class Btdget extends AbstractCommonVo {
		private static Logger log = LoggerFactory.getLogger(Btdget.class);

    //Last used Extkey
    private  String oldkey = NULLSTR;

    //Disable DbSelect and DDE-Client when set
    private  String dissel = NULLSTR;

    //which contracts to show
    private  String clsflg = NULLSTR;

    //Type of parent contract
    private  String pnttyp = NULLSTR;

    //INR of parent contract
    private  String pntinr = NULLSTR;

    //Reference of parent contract
    private  String pntref = NULLSTR;

}