package com.brilliance.isc.common.transaction.vo;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.liaall.vo.AcceptLineVo;
import com.brilliance.isc.common.liaall.vo.TenorSettleVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class SimpleLiaallVo extends AbstractCommonVo {

    private String concur = NULLSTR;

    private BigDecimal misamt = BigDecimal.ZERO;

    private String oldredflg = NULLSTR;

    private List<TenorSettleVo> tenorSettles;

    private List<AcceptLineVo> acceptLines;

    private BigDecimal tensetamt = Decimals.ZERO_SCALE2;

    private String tenset = NULLSTR;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date tensetmatdat;
}
