package com.brilliance.isc.vo.funds;

import com.brilliance.isc.common.vo.BizInfoVo;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * @program: isc-core
 * @ClassName: CrdBizInfoVo
 * @description: crd业务数据
 * @author: huangshunlin
 * @create: 2024-10-17 20:34
 */
@Data
public class CrdBizInfoVo extends BizInfoVo {

    //crtp.forare
    private String forare = NULLSTR;
    //crdgrp.rec.opndat
    private Date opndat = NULLDATE;

    //crdgrp.rec.rcvbchinr
    private String rcvbchinr = NULLSTR;

    //crdgrp.rec.custyp
    private String custyp = NULLSTR;

    //rcvact.inr
    private String rcvactInr = NULLSTR;
    //rcvact.extkey
    private String rcvactExtkey = NULLSTR;

    //crtcro 汇出清算 spcgle.act
    private String spcgleAct = NULLSTR;

    //crtcro 汇出清算 crdgrp.rec.rcvobjtyp
    private String rcvobjtyp = NULLSTR;

    //crtcro 汇出清算 cpdgrp.rec.valdat
    private Date valdat = NULLDATE;

}
