package com.brilliance.isc.vo.lc;


import com.brilliance.isc.bo.Btd;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class BtdWithPtsCbbResponseVo extends Btd {

    /**
     * 父业务编号
     */
    private String pntref;
    /**
     * 信用证业务编号
     */
    private String leownref;
    /**
     * 币种
     */
    private String cur;

    /**
     * 开立金额
     */
    private BigDecimal amt;
    /**
     * 币种
     */
    private String opncur;

    /**
     * 开立金额
     */
    private BigDecimal opnamt;

    /**
     * 客户号
     */
    private String aplExtkey;

    /**
     * 客户名称
     */
    private String aplName;
    /**
     * 第一受益人
     */
    private String be1Extkey;

    /**
     * 第一受益人名称
     */
    private String be1Name;
    /**
     * 第fg受益人
     */
    private String be2Extkey;

    /**
     * 第二受益人名称
     */
    private String be2Name;
    /**
     * 通知行BIC
     */
    private String advExtkey;

    /**
     * 通知行名称
     */
    private String advName;
    /**
     * 分行名称
     */
    private String bchName;
    /**
     * 柜员名称
     */
    private String usrNam;
}

