package com.brilliance.isc.vo.lg;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;
import static com.brilliance.mda.runtime.mda.util.Decimals.ZERO_SCALE2;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InfncdDetailVo {
    private String inr = NULLSTR;
    private String ncdownref = NULLSTR;
    private String ncdownusr = NULLSTR;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ncdopndat = NULLDATE;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date ncdclsdat = NULLDATE;
    private String ncdaplextkey = NULLSTR;
    private String ncdaplnam = NULLSTR;
    private String ncdbenextkey = NULLSTR;
    private String ncdbennam = NULLSTR;
    private String ncdmaxcur = NULLSTR;
    private BigDecimal ncdmaxamt = ZERO_SCALE2;
    private String ncdopncur = NULLSTR;
    private BigDecimal ncdopnamt = ZERO_SCALE2;
}
