package com.brilliance.isc.vo.manager;

import com.brilliance.isc.common.vo.CommonResult;
import lombok.Data;

import java.math.BigDecimal;

@Data
public class AnbRespVo extends CommonResult {
    /**
     * 唯一ID
     */
    private String INR;

    /**
     * 账号
     */
    private String ZHANGH;

    /**
     * 交易日期
     */
    private String JIOYRQ;

    /**
     * 货币代号
     */
    private String HUOBDH;

    /**
     * 借贷标记
     */
    private String JIEDBZ;

    /**
     * 交易金额
     */
    private BigDecimal JIO1JE;

    /**
     * 账户余额
     */
    private BigDecimal ZHHUYE;

    /**
     * 余额方向
     */
    private String YUEEFX;

    /**
     * 摘要代码
     */
    private String ZHYODM;

    /**
     * 交易码
     */
    private String JIAOYM;

    /**
     * 柜员流水
     */
    private String GUIYLS;
}
