package com.brilliance.isc.vo.manager;

import lombok.Data;

@Data
public class DicVo {

    // 所属类别，对应 dic_code 表中的 【codeType】 字段，对应 stb 表中的 【tbl】 字段
    private String codeType;
    // 名称，对应 dic_code 表中的 【codeName】 字段，对应 stb 表中的 【txt】 字段
    private String codeName;
    // 数据值，对应 dic_code 表中的 【codeValue】 字段，对应 stb 表中的 【cod】 字段
    private String codeValue;

    // 以下字段为 stb 特有

    // 语种
    private String uil;

    // 排序方式 COD : 按照 cod 字段升序排序 SRT: 按照 srt 字段升序排序
    private String sort;


}
