package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class XrtVo extends BaseEntity {

    //主键
    private String inr;

    //货币
    private String cur;

    //货币描述
    private String curnam;

    //生效时间
    private String begdat;

    //失效时间
    private String enddat;

    //现汇买入价
    private BigDecimal buyrat;

    //中间价
    private BigDecimal midrat;

    //现汇卖出价
    private BigDecimal selrat;

    //指定买价
    private BigDecimal ttrrat;

    //票据买断汇款
    private BigDecimal odrrat;

    //版本号
    private String ver;

    //卖出参考汇率
    private BigDecimal resrat;

    //买入参考汇率
    private BigDecimal rebrat;

    //报表折算价
    private BigDecimal ibrrat;

    //现钞卖出价
    private BigDecimal sel1rat;

    //现钞买入价
    private BigDecimal buy1rat;

    //Entity Group of Exchange Rate
    private String etgextkey;

    //更新时间
    private String xrttim;

    // 币种码表的语种
    private String uil;

    private String orderStr;

    private String columnStr;

}
