package com.brilliance.isc.vo.remit;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Setter
@Getter
@JsonIgnoreProperties(ignoreUnknown = true)
public class CpdCipsBizInfo {

    //付款人地址2
    private  String fkrdz2;
    //付款人地址3
    private  String fkrdz3;
    //付款人地址4
    private  String fkrdz4;
    //付款人地址5
    private  String fkrdz5;
    //付款人开户行行号
    private String fkrkhh;

    // CPTP
    //电汇凭证
    private  String flg;

    //业务种类
    private String bustyp;

    //汇款人组织机构代码
    private String fkrzhj;

    //原始币种
    private String cur33b = NULLSTR;
    //原始金额
    private BigDecimal amt33b = BigDecimal.ZERO;
    // 收款非银行支付机构账号
    private String skfyzh = NULLSTR;
}
