package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 核心系统提供的单边记账交易响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes9007 {
    /**
     * 账号
     */
    public String zhangh;
    /**
     * 账户余额
     */
    public String zhhuye;
    /**
     * 账户中文名
     */
    public String zhhucn;
    /**
     * 柜员流水号
     */
    public String guyuls;

    public InnerRes9007() {
    }

    public InnerRes9007(String zhangh, String zhhuye, String zhhucn, String guyuls) {
        this.zhangh = zhangh;
        this.zhhuye = zhhuye;
        this.zhhucn = zhhucn;
        this.guyuls = guyuls;
    }
}
